[Libreoffice-commits] online.git: docker/l10n-docker-nightly.sh

Libreoffice Gerrit user logerrit at kemper.freedesktop.org
Mon Jan 28 11:15:31 UTC 2019


 docker/l10n-docker-nightly.sh |    8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

New commits:
commit adff9d1e2c9954ebdc7362dec8618e1bca297080
Author:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
AuthorDate: Mon Jan 28 12:14:36 2019 +0100
Commit:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
CommitDate: Mon Jan 28 12:14:36 2019 +0100

    Docker: add env var to change core build target
    
    Change-Id: Ida0410d6ff6515b479d4d431b4a1060e3430dd9d

diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 2f05863d6..3fa5bfce3 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -9,6 +9,7 @@
 # * DOCKER_HUB_REPO - which Docker Hub repo to use
 # * DOCKER_HUB_TAG  - which Docker Hub tag to create
 # * LIBREOFFICE_BRANCH  - which branch to build (needs to exist in both core and online)
+# * LIBREOFFICE_BUILD_TARGET - which make target to run (in core repo)
 
 # check we can sudo without asking a pwd
 echo "Trying if sudo works without a password"
@@ -32,6 +33,11 @@ if [ -z "$LIBREOFFICE_BRANCH" ]; then
 fi;
 echo "Building branch '$LIBREOFFICE_BRANCH'"
 
+if [ -z "$LIBREOFFICE_BUILD_TARGET" ]; then
+  LIBREOFFICE_BUILD_TARGET=""
+fi;
+echo "LibreOffice build target: '$LIBREOFFICE_BUILD_TARGET'"
+
 # check if we have jake
 which jake || { cat << EOF
 
@@ -128,7 +134,7 @@ cat > libreoffice/autogen.input << EOF
 EOF
 
 ( cd libreoffice && ./autogen.sh ) || exit 1
-( cd libreoffice && make ) || exit 1
+( cd libreoffice && make $LIBREOFFICE_BUILD_TARGET ) || exit 1
 
 # copy stuff
 mkdir -p "$INSTDIR"/opt/


More information about the Libreoffice-commits mailing list